#!/usr/bin/perl

# rip-utils
#
# Copyright (C) 2001-2002 Mikol Graves
#
# This program is free software; you can redistribute it and/or modify it
# under the terms of the GNU General Public License as published by the Free
# Software Foundation; either version 2 of the License, or (at your option)
# any later version.
#
# This program is distributed in the hope that it will be useful, but WITHOUT
# ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
# FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for
# more details.
#
# You should have received a copy of the GNU General Public License along with
# this program; if not, write to the Free Software Foundation, Inc., 59 Temple
# Place - Suite 330, Boston, MA 02111-1307, USA.

# ---------------------------------------------------------------------------
package tbx::Track;
# ---------------------------------------------------------------------------

sub new {
  my $this = shift();
  my $class = ref($this) || $this;
  my $self = {};
  bless($self, $class);
  $self->initialize(@_);
  return $self;
}

sub initialize {
  my $this = shift();
  $this->{number} = shift();
  $this->{artist} = shift();
  $this->{title}  = shift();
}

sub artist {
  my ($this, $s) = @_;
  $this->{artist} = $s if defined $s;
  return $this->{artist};
}

sub title {
  my ($this, $s) = @_;
  $this->{title} = $s if defined $s;
  return $this->{title};
}

sub album {
  my ($this, $s) = @_;
  $this->{album} = $s if defined $s;
  return $this->{album};
}

sub freedb_id {
  my ($this, $h) = @_;
  $this->{id} = $h if defined $h;
  return $this->{id};
}

sub comment {
  my ($this, $s) = @_;
  $this->{comment} = $s if defined $s;
  return $this->{comment};
}

sub number {
  my ($this, $i) = @_;
  $this->{number} = $i if defined $i;
  return $this->{number};
}

sub position {
  my ($this, $i) = @_;
  $this->{position} = $i if defined $i;
  return $this->{position};
}

sub minutes {
  my ($this, $i) = @_;
  $this->{minutes} = $i if defined $i;
  return $this->{minutes};
}

sub seconds {
  my ($this, $i) = @_;
  $this->{seconds} = $i if defined $i;
  return $this->{seconds};
}

sub rip {
  my ($this, $b) = @_;
  $this->{rip} = $b if defined $b;
  return $this->{rip};
}

sub ripped {
  my ($this, $b) = @_;
  $this->{ripped} = $b if defined $b;
  return $this->{ripped};
}

sub year {
  my ($this, $i) = @_;
  $this->{year} = $i if defined $i;
  return $this->{year};
}

sub genre {
  my ($this, $s) = @_;
  $this->{genre} = $s if defined $s;
  return $this->{genre};
}

1;